﻿/**Begin D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ATRRECEIVER') 
 CREATE TABLE T_AEF_ATRRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FTRAVELNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENDEDUCTED CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONTAXPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ATRRECEIVERENTRY') 
 CREATE TABLE T_AEF_ATRRECEIVERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_BKERRECEIVER') 
 CREATE TABLE T_AEF_BKERRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FIDENTIFYINGCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPEOFINVOICE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEOFISSUE DATETIME,
FUNIQUECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYANDREVAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBEENCLAIMED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENRECONCILED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENTRANSFER CHAR(1) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_BKERRECEIVERENTRY') 
 CREATE TABLE T_AEF_BKERRECEIVERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_BKRS') 
 CREATE TABLE T_AEF_BKRS (
FID BIGINT DEFAULT 0 NOT NULL,
FIDENTIFICATIONORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKBRANCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLEMENTACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKCUSTOMERNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECONYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECONMONTH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRINTTIMES NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPRINTDATE DATETIME,
FACCOUNTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERVEBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFROZENBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERDRAFTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVAILABLEBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_BKRSENTRY') 
 CREATE TABLE T_AEF_BKRSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBOOKDATE DATETIME,
FBUSINESSPRODUCTSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEVOUCHERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FELECTRONICRECEIPTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITORDEBIT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FTRANSACTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEDIRECT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FACCOUNTBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITORYBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKKEEPER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKTIME DATETIME,
FACCOUNTJOURNAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOTHERINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICRECEIPTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVORDRECEIVER') 
 CREATE TABLE T_AEF_INVORDRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FUNIQUECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVORDRECEIVERENTRY') 
 CREATE TABLE T_AEF_INVORDRECEIVERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVSPCLRECEIVER') 
 CREATE TABLE T_AEF_INVSPCLRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FUNIQUECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB,
FISTRANSFERREDOUT CHAR(1) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVSPCLRENTRY') 
 CREATE TABLE T_AEF_INVSPCLRENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVTLFRECEIVER') 
 CREATE TABLE T_AEF_INVTLFRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FUNIQUECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISTRANSFERREDOUT CHAR(1) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_INVTLFRECEIVERENTRY') 
 CREATE TABLE T_AEF_INVTLFRECEIVERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_NTREVGPMENTRY') 
 CREATE TABLE T_AEF_NTREVGPMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_NTREVGPMRECEIVER') 
 CREATE TABLE T_AEF_NTREVGPMRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FEINVOICEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_RAIRECEIVER') 
 CREATE TABLE T_AEF_RAIRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FTRAVELNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENDEDUCTED CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONTAXPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_RAIRECEIVERENTRY') 
 CREATE TABLE T_AEF_RAIRECEIVERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ARCHIVECONFIG')
 CREATE TABLE T_AEF_ARCHIVECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARCHIVERANGE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FARCHIVERANGE_TAG NCLOB,
FISNEEDATTACHFILE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ERRORLOG')
 CREATE TABLE T_AEF_ERRORLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATTIME DATETIME,
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FERRORINFO NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_SYSPARAM')
 CREATE TABLE T_AEF_SYSPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
