﻿/**Begin D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
 EXEC p_AlterColumn 'T_AEF_ARCHIVEENTRY', 'FARCHIVERANGEJSON', 'NVARCHAR(2000)', 'NULL', '0100', '';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVESCHEME' AND KSQL_COL_NAME IN ('FGROUPID')) 
 ALTER TABLE T_AEF_ARCHIVESCHEME ADD (FGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVE_LOG' AND KSQL_COL_NAME IN ('FBOOKTYPEID')) 
 ALTER TABLE T_AEF_ARCHIVE_LOG ADD (FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ARCHIVEGROUP') 
 CREATE TABLE T_AEF_ARCHIVEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FLEVEL INT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ARCHIVEGROUP_L')
CREATE TABLE T_AEF_ARCHIVEGROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ARCHIVEWRITECONFIG') 
 CREATE TABLE T_AEF_ARCHIVEWRITECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(40) DEFAULT ' ' NOT NULL,
FWRITEBACKPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_ARCHIVETAX_LOG') 
 CREATE TABLE T_AEF_ARCHIVETAX_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FWAYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILINGPERIOD NVARCHAR(20) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(40) DEFAULT ' ' NOT NULL,
FFILINGID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FEXETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FUPLOADWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE CHAR(1) DEFAULT '1' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIQUEKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLBIZDATE DATETIME,
FBATCHCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXARCHIVEDATA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQDATE DATETIME,
FSKSSQZDATE DATETIME,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FOTHERDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERDATA_TAG NCLOB
);



/**End D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
