﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AEF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EFI') 
 CREATE TABLE T_AEF_EFI (
FID BIGINT DEFAULT 0 NOT NULL,
FEINVOICEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEOFISSUE DATETIME,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EFIENTRY') 
 CREATE TABLE T_AEF_EFIENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EINVORDENTRY') 
 CREATE TABLE T_AEF_EINVORDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EINVORDRECEIVER') 
 CREATE TABLE T_AEF_EINVORDRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EINVSPCLENTRY') 
 CREATE TABLE T_AEF_EINVSPCLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_EINVSPCLRECEIVER') 
 CREATE TABLE T_AEF_EINVSPCLRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISTRANSFERREDOUT CHAR(1) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLARGEJSON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLARGEJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_BKERRECEIVER' AND KSQL_COL_NAME ='FCURRENCY') 
 ALTER TABLE T_AEF_BKERRECEIVER ADD (FCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_BKERRECEIVER' AND KSQL_COL_NAME ='FTRANSACTIONAMOUNTINFIGUR') 
 ALTER TABLE T_AEF_BKERRECEIVER ADD (FTRANSACTIONAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_BKRSENTRY' AND KSQL_COL_NAME ='FBUSINESSSERIALNUMBER') 
 ALTER TABLE T_AEF_BKRSENTRY ADD (FBUSINESSSERIALNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ATRRECEIVER' AND KSQL_COL_NAME ='FFARE') 
 ALTER TABLE T_AEF_ATRRECEIVER ADD (FFARE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ATRRECEIVER' AND KSQL_COL_NAME ='FISSUEPARTY') 
 ALTER TABLE T_AEF_ATRRECEIVER ADD (FISSUEPARTY NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ATRRECEIVER' AND KSQL_COL_NAME ='FISSUEDATE') 
 ALTER TABLE T_AEF_ATRRECEIVER ADD (FISSUEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FNAMEOFSELLER') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FTAXSOCIALCREDITCODE') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FTOTALAMOUNTEXCLUDINGTAX') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FTAXINCLUDEDAMOUNTINFIGUR') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVTLFRECEIVER' AND KSQL_COL_NAME ='FDATEOFISSUE') 
 ALTER TABLE T_AEF_INVTLFRECEIVER ADD (FDATEOFISSUE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_NTREVGPMRECEIVER' AND KSQL_COL_NAME ='FBILLDATE') 
 ALTER TABLE T_AEF_NTREVGPMRECEIVER ADD (FBILLDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_NTREVGPMRECEIVER' AND KSQL_COL_NAME ='FPAIDAMT') 
 ALTER TABLE T_AEF_NTREVGPMRECEIVER ADD (FPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_RAIRECEIVER' AND KSQL_COL_NAME ='FDATEOFISSUE') 
 ALTER TABLE T_AEF_RAIRECEIVER ADD (FDATEOFISSUE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_RAIRECEIVER' AND KSQL_COL_NAME ='FTOTALAMOUNTEXCLUDINGTAX') 
 ALTER TABLE T_AEF_RAIRECEIVER ADD (FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_RAIRECEIVER' AND KSQL_COL_NAME ='FTAXRATE') 
 ALTER TABLE T_AEF_RAIRECEIVER ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_RAIRECEIVER' AND KSQL_COL_NAME ='FTAXAMOUNT') 
 ALTER TABLE T_AEF_RAIRECEIVER ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FNAMEOFSELLER') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FTAXSOCIALCREDITCODE') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FTOTALAMOUNTEXCLUDINGTAX') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FTAXINCLUDEDAMOUNTINFIGUR') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVORDRECEIVER' AND KSQL_COL_NAME ='FDATEOFISSUE') 
 ALTER TABLE T_AEF_INVORDRECEIVER ADD (FDATEOFISSUE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FNAMEOFSELLER') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FTAXSOCIALCREDITCODE') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FTOTALAMOUNTEXCLUDINGTAX') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FTAXINCLUDEDAMOUNTINFIGUR') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_INVSPCLRECEIVER' AND KSQL_COL_NAME ='FDATEOFISSUE') 
 ALTER TABLE T_AEF_INVSPCLRECEIVER ADD (FDATEOFISSUE DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AEF_table.sql **/
