﻿/**Begin D:\PDM_UPGRADE\PDM1\AEF_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AEF_ATRRECEIVER', 'T_AEF_ATRRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_ATR') CREATE INDEX IDX_AEF_ATR ON T_AEF_ATRRECEIVER ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_ATRRECEIVERENTRY', 'T_AEF_ATRRECEIVERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_ATRRECEIVERENTRY_FID') CREATE INDEX IDX_AEF_ATRRECEIVERENTRY_FID ON T_AEF_ATRRECEIVERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_BKERRECEIVER', 'T_AEF_BKERRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_BKER') CREATE INDEX IDX_AEF_BKER ON T_AEF_BKERRECEIVER ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_BKERRECEIVERENTRY', 'T_AEF_BKERRECEIVERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_BKERRECEIVERENTRY_FID') CREATE INDEX IDX_AEF_BKERRECEIVERENTRY_FID ON T_AEF_BKERRECEIVERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_BKRS', 'T_AEF_BKRS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_BKRS') CREATE INDEX IDX_AEF_BKRS ON T_AEF_BKRS ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_BKRSENTRY', 'T_AEF_BKRSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_BKRSENTRY_FID') CREATE INDEX IDX_AEF_BKRSENTRY_FID ON T_AEF_BKRSENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_INVORDRECEIVER', 'T_AEF_INVORDRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVO') CREATE INDEX IDX_AEF_INVO ON T_AEF_INVORDRECEIVER ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_INVORDRECEIVERENTRY', 'T_AEF_INVORDRECEIVERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVORDRECEIVERENTRY') CREATE INDEX IDX_AEF_INVORDRECEIVERENTRY ON T_AEF_INVORDRECEIVERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_INVSPCLRECEIVER', 'T_AEF_INVSPCLRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVS') CREATE INDEX IDX_AEF_INVS ON T_AEF_INVSPCLRECEIVER ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_INVSPCLRENTRY', 'T_AEF_INVSPCLRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVSPCLRENTRY_FID') CREATE INDEX IDX_AEF_INVSPCLRENTRY_FID ON T_AEF_INVSPCLRENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_INVTLFRECEIVER', 'T_AEF_INVTLFRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVT') CREATE INDEX IDX_AEF_INVT ON T_AEF_INVTLFRECEIVER ( FARCHIVEDATE ,FORGID );


 EXEC P_ALTERPK 'PK_T_AEF_INVTLFRECEIVERENTRY', 'T_AEF_INVTLFRECEIVERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_INVTLFRECEIVERENTRY') CREATE INDEX IDX_AEF_INVTLFRECEIVERENTRY ON T_AEF_INVTLFRECEIVERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_NTREVGPMENTRY', 'T_AEF_NTREVGPMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_NTREVGPMENTRY_FID') CREATE INDEX IDX_AEF_NTREVGPMENTRY_FID ON T_AEF_NTREVGPMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_NTREVGPMRECEIVER', 'T_AEF_NTREVGPMRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_NTR') CREATE INDEX IDX_AEF_NTR ON T_AEF_NTREVGPMRECEIVER ( FORGID ,FARCHIVEDATE );


 EXEC P_ALTERPK 'PK_T_AEF_RAIRECEIVER', 'T_AEF_RAIRECEIVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_RAI') CREATE INDEX IDX_AEF_RAI ON T_AEF_RAIRECEIVER ( FARCHIVEDATE ,FORGID );


 EXEC P_ALTERPK 'PK_T_AEF_RAIRECEIVERENTRY', 'T_AEF_RAIRECEIVERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_RAIRECEIVERENTRY_FID') CREATE INDEX IDX_AEF_RAIRECEIVERENTRY_FID ON T_AEF_RAIRECEIVERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AEF_ARCHIVECONFIG', 'T_AEF_ARCHIVECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_ARCHIVECONFIG') CREATE INDEX IDX_AEF_ARCHIVECONFIG ON T_AEF_ARCHIVECONFIG ( FBATCHCODE );


 EXEC P_ALTERPK 'PK_AEF_ERROR_LOG', 'T_AEF_ERRORLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_ERROELOG_C') CREATE INDEX IDX_AEF_ERROELOG_C ON T_AEF_ERRORLOG ( FCREATTIME );


EXEC P_ALTERPK 'PK_AEF_SYSPARAM', 'T_AEF_SYSPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AEF_SYSPARAM') CREATE INDEX IDX_AEF_SYSPARAM ON T_AEF_SYSPARAM ( FKEY );



/**End D:\PDM_UPGRADE\PDM1\AEF_constraint.sql **/
