﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AEF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_SERVICECONFIG') 
 CREATE TABLE T_AEF_SERVICECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSERVICEIP NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSERVICEPORT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPASSWORD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUPLOADWAY NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVE_LOG' AND KSQL_COL_NAME ='FUPLOADWAY') 
 ALTER TABLE T_AEF_ARCHIVE_LOG ADD (FUPLOADWAY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVEENTRY' AND KSQL_COL_NAME ='FARCHIVETYPE') 
 ALTER TABLE T_AEF_ARCHIVEENTRY ADD (FARCHIVETYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVEENTRY' AND KSQL_COL_NAME ='FARCHIVERANGE') 
 ALTER TABLE T_AEF_ARCHIVEENTRY ADD (FARCHIVERANGE NVARCHAR(512) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AEF_ARCHIVEENTRY' AND KSQL_COL_NAME ='FARCHIVERANGEJSON') 
 ALTER TABLE T_AEF_ARCHIVEENTRY ADD (FARCHIVERANGEJSON NVARCHAR(1000) );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AEF_table.sql **/
